<div class="container">
  
  <div class="ui-g">

    <div class="ui-g-12">
      <h1>Análise de Crédito</h1>
    </div>

    <div class="ui-g-6 ui-md-3 ui-fluid">
      <label>Nome</label>
      <input pInputText type="text">
    </div>

    <div class="ui-g-3 ui-md-2 ui-fluid">
      <label>CPF</label>
      <p-inputMask mask="999.999.999-99"></p-inputMask>
    </div>

    <div class="ui-g-3 ui-md-2 ui-fluid">
      <label>Status</label>
      <p-dropdown [options]="status" placeholder="Selecione" #statu></p-dropdown>
    </div>

    <div class="ui-g-12">
      <label style="display: block">Data Análise</label>
      <p-calendar dateFormat="dd/mm/yy"
        [inline]="false" [readonlyInput]="false"
        [showIcon]="false"></p-calendar>

      <label>até</label>
      <p-calendar dateFormat="dd/mm/yy"
        [inline]="false" [readonlyInput]="false"
        [showIcon]="false"></p-calendar>
    </div>
    <div class="ui-g-12">
      <button pButton type="submit" label="Pesquisar"></button>
    </div>

  </div>

  <div class="ui-g">
    <div class="ui-g-12">        
    <p-table [value]="analises" [paginator]="true" [rows]="5"
        [responsive]="true"
        emptyMessage="Nenhuma análise encontrada"
        [lazy]="true"
        (onLazyLoad)="aoMudarPagina($event)"
        #tabela>
        <ng-template pTemplate="header">
            <tr>
                <th>Pessoa</th>
                <th>CPF</th>
                <th class="col-data-header">Data Solicitação</th>
                <th class="col-data-header">Data Análise</th>
                <th class="col-valor-header">Status</th>
                <th *ngIf="temPermissao('ANALISTA')">Efetuar Análise</th>                
            </tr>
        </ng-template>
        <ng-template pTemplate="body" let-analise>
            <tr> 
                <td>{{analise.pessoa.nome}}</td>
                <td>{{analise.pessoa.cpf}}</td>
                <td class="col-data-content">{{analise.dataSolicitacao | date:'dd/MM/yyyy' }}</td>
                <td class="col-data-content">{{analise.dataAnalise | date:'dd/MM/yyyy' }}</td>
                <td class="col-valor-content">
                  <span [style.color]="analise.status === 'PENDENTE' ? 'blue' : analise.status === 'APROVADO' ? 'green' : 'red'">{{analise.status}} </span>
                </td>
                <td class="col-acoes" *ngIf="temPermissao('ANALISTA')"> 
                  <button *ngIf="analise.status == 'PENDENTE'" pButton icon="pi pi-check" class="ui-button-success" pTooltip="Aprovar" tooltipPosition="top"
                  (click)="efetuarAnalise(analise.id, 1)"></button> 
                  <button *ngIf="analise.status == 'PENDENTE'" pButton icon="pi pi-times" class="ui-button-danger" pTooltip="Reprovar" tooltipPosition="top"
                  (click)="efetuarAnalise(analise.id, 2)"></button> 
                </td>
            </tr>
        </ng-template>
    </p-table>
    </div>     
  </div>

</div>